// StringSubstituteUtils.h

#ifndef __STRINGSUBSTITUTE_H
#define __STRINGSUBSTITUTE_H

#include "Common/MyString.h"

struct CSubstituteInitPair
{
  const wchar_t *Strings[2];
};

struct CSubstitutePair
{
  UString Strings[2];
};

class CStringSubstituter
{
  CObjectVector<CSubstitutePair> m_List;
public:
  void Init(const CSubstituteInitPair *substituteInitPairs, int numPairs);
  UString Substitute(const UString &s, bool substitutionDirection);
};

#endif
