// Windows/Resource/UpdateManager.h

#pragma once

#ifndef __WINDOWS_RESOURCE_UPDATEMANAGER_H
#define __WINDOWS_RESOURCE_UPDATEMANAGER_H

#include "Common/Types.h"

namespace NWindows {
namespace NResource {

class CUpdateManager
{
  HANDLE m_UpdateFile;
public:
  CUpdateManager(): m_UpdateFile(NULL) {};
  ~CUpdateManager();
  bool BeginUpdate(LPCTSTR fileName, bool deleteExistingResources);
  bool Update(LPCTSTR type, LPCTSTR name, UINT16 language, LPVOID data, DWORD dataSize);
  bool Delete(LPCTSTR type, LPCTSTR name, UINT16 language);
  bool EndUpdate(bool discard);
};

}}

#endif
